#pragma once

#include <yandex/maps/wiki/revision/common.h>

namespace maps::wiki::revision {

class RevisionData {
public:
    RevisionData() = default;

    bool isRegularObject() const
    {
        return masterObjectId == 0 && slaveObjectId == 0;
    }

    bool isRelation() const
    {
        return masterObjectId != 0 && slaveObjectId != 0;
    }

    bool deleted{false};

    DBID attributesId{0};
    DBID descriptionId{0};
    DBID geometryId{0};

    DBID prevCommitId{0};
    DBID nextCommitId{0};

    DBID masterObjectId{0};
    DBID slaveObjectId{0};
};

} // namespace maps::wiki::revision
